Search deviances by AD object

Returns the deviances that the specified checker found on the specified Active Directory object in the specified security profile.

Requires the ioe license type. See License Types.

Requires the Read permission on the Profiles, Forests, Domains, and Indicators of Exposure entities (read:profile, read:infrastructure, read:directory, read:checker). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the security profile.

string
required
^[0-9]+$

Specifies the ID of the checker.

string
required
^[0-9]+$

Specifies the ID of the AD object.

Query Params
string
^[0-9]+$

Specifies the maximum number of deviances to return per page.

string
^[0-9]+$

Specifies the page of results to return. The first page is 1.

Body Params

Validates POST /profiles/:profileId/checkers/:checkerId/ad-objects/:adObjectId/deviances request payloads

date-time

Specifies the start of the time range for the deviances to return, as an ISO timestamp.

date-time

Specifies the end of the time range for the deviances to return, as an ISO timestamp.

boolean | null
required

Specifies whether to include ignored deviances.

Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json